Skip to navigation

List tax system health records

View as Markdown

Returns System Health Electronic records that are generated by your Zuora tenant within a specified time range.

You can filter the failure records by one or multiple of the following fields:

  • vendorName
  • eventType
  • status

Authentication

AuthorizationBearer

Use Bearer {{token}} in the Authorization header for authentication.

Headers

Accept-EncodingstringOptional

Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.

Content-EncodingstringOptional

Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

Zuora-Entity-IdsstringOptional

An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.

Zuora-Org-IdsstringOptional

Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.

The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.

Zuora-Track-IdstringOptional<=64 characters

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').

Query parameters

pageintegerOptional>=1Defaults to 1

The index number of the page that you want to retrieve. This parameter is dependent on pageSize. You must set pageSize before specifying page. For example, if you set pageSize to 20 and page to 2, the 21st to 40th records are returned in the response.

pageSizeintegerOptional<=40Defaults to 20
The number of records returned per page in the response.
vendorNamestringOptional
Filters the records by vendor name.
eventTypestringOptional
Filters the tax records by event type.
statusstringOptional
Filters the tax records by status.
sortstringOptional

This parameter restricts the order of the data returned in the response. You can use this parameter to supply a dimension you want to sort on.

A sortable field uses the following form: operator field_name.

If you do not specify any sortable field, the response data is sorted by the timerange field in descending order.

operator is used to mark the order of sequencing. The operator is optional. If you only specify the sortable field without any operator, the response data is sorted in descending order by this field.

  • The - operator indicates an ascending order.
  • The + operator indicates a descending order.

field_name indicates the name of a sortable field. The supported sortable fields of this operation are as below:

  • timestamp
  • total_duration
  • vendor_duration
  • status
  • document_number
startTimedatetimeRequired

Start time of the volume summary.

Format: yyyy-MM-dd'T'HH:mmZ Example: 2022-09-22T09:07+0800.

endTimedatetimeRequired

End time of the volume summary.

Format: yyyy-MM-dd'T'HH:mmZ Example: 2022-09-22T09:07+0800.

Response headers

Content-EncodingstringOptional

This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data.

Note that only the following MIME types support gzipped responses:

  • application/json
  • application/xml
  • text/html
  • text/csv
  • text/plain
RateLimit-LimitstringOptional

The request limit quota for the time window closest to exhaustion. See rate limits for more information.

RateLimit-Remainingdouble

The number of requests remaining in the time window closest to quota exhaustion. See rate limits for more information.

RateLimit-Resetdouble

The number of seconds until the quota resets for the time window closest to quota exhaustion. See rate limits for more information.

Zuora-Request-IdstringOptional
The Zuora internal identifier of the API call. You cannot control the value of this header.
Zuora-Track-IdstringOptional
A custom identifier for tracing the API call. If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. Otherwise, Zuora does not set this header.

Response

OK
datalist of objectsOptional
List of tax record details.
nextPagestringOptionalformat: "url"
URL to the next page of results for pagination.

Errors

400
Bad Request Error